#
# spec file for package multimon
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           multimon
Version:        971208
Release:        lp152.964.2
Summary:        Linux Radio Transmission Decoder
License:        GPL-2.0+
Group:          Productivity/Hamradio/Other
Source:         http://www.ife.ee.ethz.ch/~sailer/ham/linux/multimon.tar.gz
Patch:          multimon.dif
Patch1:         multimon-sox.diff
Patch2:         multimon-missing-include.diff
Url:            http://www.baycom.org/~tom/ham/linux/multimon.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xorg-x11-devel
Requires:       sox

%description
The multimon software can decode a variety of digital transmission
modes commonly found on UHF radio. A standard PC soundcard is used to
acquire the signal from a transceiver. The decoding is done completely
in software.



Authors:
--------
    Thomas Sailer <sailer@ife.ee.ethz.ch>

%prep
%setup -n multimon
%patch
%patch1 -p1
%patch2 -p1
# fix link errors from re-defined inline functions
sed -i 's/extern inline/static inline/' *.h

%build
%ifarch %ix86
make CFLAGS="$RPM_OPT_FLAGS -finline-functions -malign-loops=2 -malign-jumps=2 -malign-functions=2 -DARCH_I386"
%else
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGSX="-L/usr/X11R6/%_lib -lX11"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin/
install -m 755 bin-*/{gen,multimon} $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc multimon.html
/usr/bin/*

%changelog
* Fri Nov 20 2015 bwiedemann@suse.com
- use new sox options, because it dropped the obsolete -s and -2 options
- fix link errors from re-defined inline functions
- run format_spec_file
* Thu Feb  9 2012 bwiedemann@suse.com
- add Requires: sox (mandatory for format conversion)
* Tue Feb 22 2011 dl8fcl@darc.de
- fix for 11.4
* Sun Jan 11 2004 adrian@suse.de
- add %%%%defattr
* Fri Jul  5 2002 kukuk@suse.de
- Use %%%%ix86 macro
* Mon Jun  3 2002 ro@suse.de
- fix for lib64 platforms
* Thu Apr 12 2001 uli@suse.de
- use RPM_OPT_FLAGS (fixes 390)
* Thu Nov 30 2000 jreuter@suse.de
- changed group to Applications/Hamradio
* Fri May 19 2000 bubnikv@suse.cz
- added buildroot, URL; spec file cleanup
- removed mktab binary; is used only by compilation process
* Tue Dec  7 1999 kukuk@suse.de
- Fix for SPARC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 uli@suse.de
- fixed Makefile/spec for PPC
* Thu Jul  8 1999 ka@suse.de
- fixed error in specfile
* Thu May 20 1999 uli@suse.de
- builds on x86 boxes with x != 6
* Thu May 20 1999 ro@suse.de
- no m486 et.al on alpha
* Fri Apr  9 1999 ka@suse.de
- initial release
